Page MenuHomeFreeBSD

net/rabbitmq: upgrade to 3.7.14
ClosedPublic

Authored by olgeni on Apr 14 2019, 8:45 PM.

Details

Summary
  • Use Erlang 21 and Elixir 1.8
  • Fix manpage paths
  • Move the installed code away from the default ERL_LIBS as it has no purpose there and could lead to conflicts

Requires

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

olgeni created this revision.Apr 14 2019, 8:45 PM
olgeni edited the summary of this revision. (Show Details)Apr 15 2019, 8:03 AM
mat added inline comments.Apr 18 2019, 1:38 PM
net/rabbitmq/Makefile
57 ↗(On Diff #56209)

Remove this, no used.

dch added inline comments.Apr 26 2019, 12:38 PM
net/rabbitmq/pkg-plist
240 ↗(On Diff #56209)

the permissions on /var/*/rabbitmq should be 0750 to avoid leaking sensitive information

dch accepted this revision.Apr 26 2019, 12:38 PM

aside from permissions nit, this seems to be working just fine in production today :-)

This revision is now accepted and ready to land.Apr 26 2019, 12:38 PM
olgeni updated this revision to Diff 57918.May 26 2019, 6:32 PM

Update to 3.7.15.

This revision now requires review to proceed.May 26 2019, 6:32 PM
dch accepted this revision.May 26 2019, 11:48 PM

can we change the permissions on /var/*/rabbitmq please per the nit?

LGTM, publishing to/from queues works fine here --- \o/

This revision is now accepted and ready to land.May 26 2019, 11:48 PM
olgeni updated this revision to Diff 57941.May 27 2019, 7:48 AM

Fix permissions in /var/ directories.

This revision now requires review to proceed.May 27 2019, 7:48 AM
dch accepted this revision.May 27 2019, 8:18 AM

SHIP IT

This revision is now accepted and ready to land.May 27 2019, 8:18 AM
This revision was automatically updated to reflect the committed changes.